import request from '@/utils/request'

// 确认实验室
export function handleConfirmLaboratory(data) {
  return request({
    url: '/pssr/laboratory/confirmLaboratory',
    method: 'put',
    data: data
  })
}

// 驳回实验室
export function handleTurnDownLaboratory(data) {
  return request({
    url: '/pssr/laboratory/turnDownLaboratory',
    method: 'put',
    data: data
  })
}

// 查询实验室列表
export function listLaboratory(query) {
  return request({
    url: '/pssr/laboratory/list',
    method: 'get',
    params: query
  })
}

// 查询实验室详细
export function getLaboratory(id) {
  return request({
    url: '/pssr/laboratory/' + id,
    method: 'get'
  })
}

// 新增实验室
export function addLaboratory(data) {
  return request({
    url: '/pssr/laboratory',
    method: 'post',
    data: data
  })
}

// 修改实验室
export function updateLaboratory(data) {
  return request({
    url: '/pssr/laboratory',
    method: 'put',
    data: data
  })
}

//
export function updateLaboratoryBatch(data) {
  return request({
    url: '/pssr/laboratory/editBatch',
    method: 'put',
    data: data
  })
}


// 删除实验室
export function delLaboratory(id) {
  return request({
    url: '/pssr/laboratory/' + id,
    method: 'delete'
  })
}

// 导出实验室
export function exportLaboratory(query) {
  return request({
    url: '/pssr/laboratory/export',
    method: 'get',
    params: query
  })
}
